Jump to content
RKSL Studios Community

Archived

This topic is now archived and is closed to further replies.

RKSL News Bot

EuroFighter Typhoon FGR4 V2.600

Recommended Posts

Seems we're experiencing technical issues with the automated site update :oops:

Wait out to see if it appears - since the automated news threads here on the forum were a bit slow to generate it may also just take some time for the DL link to appear. Otherwise we might have to wait for Rock to fix it...

Share this post


Link to post
Share on other sites

my god boys, you have seriously outdone yourselves this time, just ran a laser des mission with the typhoon and listening to that thing going overhead started me off grinning like a cheshire cat, totally breathtaking.

how do i go about using the other skins for the typhoon i.e creating them and such?

was the red arrow version included?

Tried looking at the readme and its not showing up, not sure if thats a bug or just something on my end.

Share this post


Link to post
Share on other sites

Hi Rock !

Well...first of all the EF is very awesome. Best plane for Arma 2 atm. The problem is i miss the documentation about it. No Readme and No PDF for it ? And the link to your page is working but i see nothing there. The online documentation is empty.

Thats not so good i need the classnames because i wanna use this awesome bird on my server and for the Loadout script ;)

What about GLT ? I guess these weapons can be used with the EF ?

Also i found a bug: When i start a simple mission with some EF's placed on the map, a message comes up: Script rksl\rksl-Typhoon\s\RKSLTyphoon_Init.sqf not found

Also the Afterburner isnt working, tested all three settings of the actionmenu.

But i only tested the german EF's...

maxx

Share this post


Link to post
Share on other sites
how do i go about using the other skins for the typhoon i.e creating them and such?

was the red arrow version included?

Depending on what plugins you have installed, you can change the textures using the SetObjectTexture command

this setObjectTexture [0,"PathToTexture"]

RAF:

No.1(F) Squadron: \rksl\rksl-typhoon-raf\data\01sqdrn_efa_ext1_co.paa

No.3(F) Squadron: \rksl\rksl-typhoon-raf\data\03sqdrn_efa_ext1_co.paa

No.6 Squadron: \rksl\rksl-typhoon-raf\data\06sqdrn_efa_ext1_co.paa

No.XI Squadron: \rksl\rksl-typhoon-raf\data\11sqdrn_efa_ext1_co.paa

No.17® Squadron (OCU): \rksl\rksl-typhoon-raf\data\17sqdrn_efa_ext1_co.paa

No.29® Squadron (OCU): \rksl\rksl-typhoon-raf\data\29sqdrn_efa_ext1_co.paa

No.41® TES: \rksl\rksl-typhoon-raf\data\41sqdrn_efa_ext1_co.paa

No.43 Squadron: \rksl\rksl-typhoon-raf\data\43sqdrn_efa_ext1_co.paa

Luftwaffe:

Non-specific: \rksl\rksl-typhoon-de\data\luftwaffe_generic_ext1_co.paa

JaBoG 31 "Boelcke": \rksl\rksl-typhoon-de\data\luftwaffe_jbg31_ext1_co.paa

JaBoG 33: \rksl\rksl-typhoon-de\data\luftwaffe_jbg33_ext1_co.paa

JG 71 "Richthofen": \rksl\rksl-typhoon-de\data\luftwaffe_jg71_ext1_co.paa

JG 73 "Steinhoff": \rksl\rksl-typhoon-de\data\luftwaffe_jg73_ext1_co.paa

JG 74: \rksl\rksl-typhoon-de\data\luftwaffe_jg74_ext1_co.paa

Italy:

Non-specific: \rksl\rksl-typhoon-it\data\ami_generic_ext1_co.paa

9º and 20º Gruppo, 4º Stormo: \rksl\rksl-typhoon-it\data\ami_9gr_4st_ext1_co.paa

10º Gruppo 36º Stormo: \rksl\rksl-typhoon-it\data\ami_10gr_36st_ext1_co.paa

12º Gruppo, 36º Stormo: \rksl\rksl-typhoon-it\data\ami_12gr_36st_ext1_co.paa

18ºGruppo, 37º Stormo: \rksl\rksl-typhoon-it\data\ami_18gr_37st_ext1_co.paa

Spain:

Non-specific: \rksl\rksl-typhoon-es\data\eda_generic_ext1_co.paa

Ala 11: \rksl\rksl-typhoon-es\data\eda_ala11_ext1_co.paa

Ala 14: \rksl\rksl-typhoon-es\data\eda_ala14_ext1_co.paa

Saudi:

Non-specific: \rksl\rksl-typhoon-sa\data\rsaf_generic_ext1_co.paa

10 Squadron: \rksl\rksl-typhoon-sa\data\rsaf_10sqdrn_ext1_co.paa

29 Squadron \rksl\rksl-typhoon-sa\data\rsaf_29sqdrn_ext1_co.paa

REDFOR:

Blue Splinter: \rksl\rksl-typhoon-red\data\red1_efa_ext1_co.paa

Yellow Splinter: \rksl\rksl-typhoon-red\data\red2_efa_ext1_co.paa

I'll find the paths for the other plugins in a sec, but they only have one skin so you may as well just put one down directly in the editor from the relevant faction

The fantasy/"What if" skins like the Red Arrows one don't have proper plugins so aren't included with the full release. I'll make the textures for those available when Rock releases the texture templates and documentation for creating your own plugins for the Typhoon - hopefully that'll be in a few days.

Share this post


Link to post
Share on other sites

Hi !

I figured out another bug:

When i place a russian (or Red Force OPFOR) EF onto the map and start the mission, a message comes up: You cannot play this mission. It is dependent on downloadable content that has been deleted: rksl_airweapons_pack_opfor

Where can i get this package ? Its not a part of the newest EF package, isn't it ?

And what confuses me more is...the Redforce EF has its weapons and i can fire them. Also the Afterburner is working when i fly it. But the AF isnt working on some empty EFs.

Also the standard loadouts in the documentaton are not exactly the same on the plane. And...where i can find the classnames for the german EF's ? I cannot use my loadout script then :(

maxx

Share this post


Link to post
Share on other sites

Hi !

Sorry i dont wanna spam BUT...

I unpacked the PBO and i think i foung the error for the "Script rksl\rksl-Typhoon\s\RKSLTyphoon_Init.sqf not found" - Message.

You named the script rksl_typhoon_init.sqf .. and NOT RKSLTyphoon_init.sqf. Could that be the solution ?? :)

Share this post


Link to post
Share on other sites
Hi Rock !

Well...first of all the EF is very awesome. Best plane for Arma 2 atm. The problem is i miss the documentation about it. No Readme and No PDF for it ? And the link to your page is working but i see nothing there. The online documentation is empty.

Thats not so good i need the classnames because i wanna use this awesome bird on my server and for the Loadout script ;)

The Docs are online now (I changed it about 1800BST) They may not include the class names for the plugins though. I'll fix that when I get home, im at my friends place for a week end break right now - Assuming all goes well I should be back in the Office Monday or Tuesday and I'll correct/post any missing info.

What about GLT ? I guess these weapons can be used with the EF ?

Yes they should work. Myke and I use the same placement method so there is no reason why not.

Also i found a bug: When i start a simple mission with some EF's placed on the map, a message comes up: Script rksl\rksl-Typhoon\s\RKSLTyphoon_Init.sqf not found

Ok this is caused by the old BETA typhoon being loaded at the same time. Check your mod folders to make sure the old version isnt present too

Also the Afterburner isnt working, tested all three settings of the actionmenu.

That's because the init file isn't being loaded.

Share this post


Link to post
Share on other sites
Hi !

I figured out another bug:

When i place a russian (or Red Force OPFOR) EF onto the map and start the mission, a message comes up: You cannot play this mission. It is dependent on downloadable content that has been deleted: rksl_airweapons_pack_opfor

Where can i get this package ? Its not a part of the newest EF package, isn't it ?

Again these errors are caused by the 1.0BETA and v2.6 being loaded together. The Opfor weapons are part of the 1.4+ Air Weapons Pack the latest package includes all the OPFOR weapons.

And what confuses me more is...the Redforce EF has its weapons and i can fire them. Also the Afterburner is working when i fly it. But the AF isnt working on some empty EFs.

You cannot get the Afterburner working if the init script is not loading. And it will not load with the BETA running in another mod folder. Again these errors are typically caused by the 1.0BETA and v2.6 being loaded together.

Also the standard loadouts in the documentaton are not exactly the same on the plane. And...where i can find the classnames for the german EF's ? I cannot use my loadout script then :(

Having just re-read the documentation I am sorry but it is wrong Ill fix that as soon as I can. Class names for the Plugins will be available on Sunday evening at some point probably quite late.

Share this post


Link to post
Share on other sites

Hi !

Ok Rock...ill make this crystal clear:

1. I deleted the old RKSL Mod folder completely.

2. I copied the new 2.6 RKSL folder to my Arma 2 OA.

3. I copied the optional typhoons PBO files into the AddOns folder.

4. The message about the missing init.sqf still comes up.

Rock...i know how to install mods. But the EF still don't work (or lets say only the afterburner). Also NOT on my CO Server. Same problem here.

So whats the reason ?? Explaining please...

maxx

Share this post


Link to post
Share on other sites
Hi !

Ok Rock...ill make this crystal clear:

1. I deleted the old RKSL Mod folder completely.

2. I copied the new 2.6 RKSL folder to my Arma 2 OA.

3. I copied the optional typhoons PBO files into the AddOns folder.

4. The message about the missing init.sqf still comes up.

Rock...i know how to install mods. But the EF still don't work (or lets say only the afterburner). Also NOT on my CO Server. Same problem here.

So whats the reason ?? Explaining please...

maxx

Well you are the only one reporting this issue now. I had this issue reported twice in internal 2.5BETA and each time it was that they were loading 1.0BETA files along with 2.600.

EDIT - I've just tried with the public pack again and I am not getting any error and no one else is reporting any issues. So I dont know what else it can be.

Share this post


Link to post
Share on other sites

Hi !

Ok ...well i try it again and maybe you understand me this time. i DELETED the old version !! No damn older file is loading with Arma. I ONLY use the NEW 2.6 EF files....

And something else: Why i CANT use all optional Typhoons together with the default one ?? Explain that to me please.

Ok here are my files from the NEW 2.6 Version !! (Addons, Optional-Typhoons and the whole file directory) The EF mod folder is now like it comes with the package.

EDIT: When i ONLY use the german EF the message will appear again... Script RKSLTyphoon_init.sqf not found bla bla. So i only can use the RAF default version. No other EFs will work properly.

EDIT 2: When i ONLY use the english RAF default EF, no message appear and the EF works normal. Afterburner work too. Only when i use both together or the german EF only the message came up.

ROCK...im totally cunfused !! ;) A friend also got the SAME error. We are tested the EF the same way and he got the same errors. Maybe the german EF is bugged ? He never had the beta version of the EF, and he has the CO version of Arma. I have only Arma 2 and Arma 2 OA seperated. We both using the steam version and have normally no problems with mods at all.

7sf.png

maxx

Share this post


Link to post
Share on other sites

1. I deleted the old RKSL Mod folder completely.

Have you actually bothered to check any of your other mod folders to make sure there isn't any other versions of the Typhoon or air weapons pack in those, in addition to your original RKSL mod folder?

For example this mod requires the old version of the RKSL Typhoon:

http://forums.bistudio.com/showthread.p ... -Extension

So logically if you have something like that installed, you might have put a copy of the Typhoon in another mod folder to run with a dependant mod.

It's rather simple to check whether it's installed anywhere else, just type RKSL-Typhoon.pbo or rksl-airweapons.pbo in the Windows search field and set it to search your Arma installation folders. If it pops up with more than one result you have an old version of the addon installed.

That said if you do have any addons running that are dependant on the old version of the Typhoon (such as the one above) they may not be compatible with the new version.

Share this post


Link to post
Share on other sites

Hi !

I well...this is my last try. Read my text in my post above PLEASE. My mate got the same bugs and he NEVER used the beta version. He started playing Arma 2 May 2013...so ehm...yeah. :roll:

Please check the german EF PBO file again or whatever. I dont have old files in any other damn moddirectory. The EF got bugs...thats the problem. Check the files please.

Share this post


Link to post
Share on other sites
Hi !

I well...this is my last try. Read my text in my post above PLEASE. My mate got the same bugs and he NEVER used the beta version. He started playing Arma 2 May 2013...so ehm...yeah. :roll:

Please check the german EF PBO file again or whatever. I dont have old files in any other damn moddirectory. The EF got bugs...thats the problem. Check the files please.

> Some days I shouldnt be allowed out unsupervised. Sorry Maxx I wasnt seeing the error on my side because its fixed in the version I have. Maxx I apologise. As I said earlier I uploaded and older version of the plugins by mistake. Not the one built from the latest source on my Q drive. There is a planned update for Wednesday with the proper (ie latest) build of plugins for wednesday. If you dont mind waiting until then it will all be fixed.

Apologies again.

Share this post


Link to post
Share on other sites
Hi !

Omg :) Ok well...i was so confused. Good to hear that. So...then...ill wait for the update.

Thanks ! ;)

Sorry mate. Just drop another Plugin in the mod folder for the moment and it will at least work properly until wednesday.

Actually since you are of the Germanic persuasion would you mind helping us out with some translations?

Share this post


Link to post
Share on other sites

Sorry guys the update is going to be quite late on tonight. I've not had chance to upload the packages yet and my net connection at home is really slow... hang tight and I'll post when they are available.

Share this post


Link to post
Share on other sites

×